package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 自定义数据采集配置 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglMxbZdyFieldconfigService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglMxbZdyFieldconfig(PageData pd)throws Exception {
        return daoSupport.update("SJkglMxbZdyFieldconfigMapper.addSJkglMxbZdyFieldconfig", pd);
    }

    public List<PageData> findSJkglMxbZdyFieldconfigList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglMxbZdyFieldconfigMapper.selectSJkglMxbZdyFieldconfigList", pd);
    }

    public Integer SJkglMxbZdyFieldconfigRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglMxbZdyFieldconfigMapper.SJkglMxbZdyFieldconfigRemove", pd);
    }


    public Integer updateSJkglMxbZdyFieldconfig(PageData pd)throws Exception {
        return daoSupport.update("SJkglMxbZdyFieldconfigMapper.updateSJkglMxbZdyFieldconfig", pd);
    }

}
